# Package net.sf.cglib.beans

- Class Summary
  Class | Description
  --- | ---
  BeanCopier |
  BeanCopier.Generator |
  BeanGenerator |
  BeanMap | A `Map`-based view of a JavaBean.
  BeanMap.Generator |
  BulkBean |
  BulkBean.Generator |
  FixedKeySet |
  ImmutableBean |
  ImmutableBean.Generator |

- Exception Summary
  Exception | Description
  --- | ---
  BulkBeanException |

Copyright (c) 2001 - Apache Software Foundation